boost::geometry::select_calculation_type_alt< CalculationType, Geometry1, Geometry2, Geometry3 > Struct Template Reference

List of all members.

## Public Types

typedef boost::mpl::if_ < boost::is_void < CalculationType >, typename select_coordinate_type < Geometry1, Geometry2, Geometry3 >::type, CalculationType >::type | type

### template<typename CalculationType, typename Geometry1, typename Geometry2 = void, typename Geometry3 = void>
struct boost::geometry::select_calculation_type_alt< CalculationType, Geometry1, Geometry2, Geometry3 >

## Member Typedef Documentation

template<typename CalculationType , typename Geometry1 , typename Geometry2 = void, typename Geometry3 = void>

typedef boost::mpl::if_< boost::is_void<CalculationType>, typename select_coordinate_type < Geometry1, Geometry2, Geometry3 >::type, CalculationType >::type boost::geometry::select_calculation_type_alt< CalculationType, Geometry1, Geometry2, Geometry3 >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK